/*
 * Class: FormatException
 *
 * Author: Alex Usun
 *
 * Date: 31/8/2005
 */
package com.jscape.inet.ssh.util.keyreader;

import com.jscape.util.SuppressObfuscation;

import java.io.IOException;

/**
 * Represents a format error.
 *
 * @author Alex Usun
 */
@SuppressObfuscation
public class FormatException
        extends IOException {

    public FormatException() {
    }

    public FormatException(String message) {
        super(message);
    }

    public FormatException(Throwable cause) {
        super(cause.getMessage() != null ? cause.getMessage() : cause.toString(), cause);
    }

    public FormatException(String message, Throwable cause) {
        super(message, cause);
    }
}
